/*
 * ADDW SCCS: @(#)epath.h	1.5 10/15/20 12:13:53
 */

/*	PATH:	This file contains certain info needed to locate the
		MicroEMACS files on a system dependant basis.

									*/

/* In spite of the UNIX below, this is not used on Unix systems
 * flook() has been replaced by findFile()
 */

#if	MSDOS && (TURBO || LATTICE || AZTEC || MSC)

/*	possible names and paths of help files under different OSs	*/

char *pathname[] =

#if	AMIGA
{
	".emacsrc",
	"emacs.hlp",
	NULL,
	"",
	":c/",
	":t/"
};
#endif

#if	CPM
{
	"emacs.rc",
	"emacs.hlp",
	NULL,
	"A:",
	""
};
#endif

#if	CPM68K
{
	"emacs.rc",
	"emacs.hlp",
	NULL,
	"OA:",
	""
};
#endif

#if	MSDOS
{
	"emacs.rc",
	"emacs.hlp",
	NULL,
	"\\sys\\public\\",
	"\\usr\\bin\\",
	"\\bin\\",
	"\\",
	"c:\\",
	""
};
#endif

#if	UNIX
{
	"emacs.rc",
	"emacs.hlp",
	".emacsrc",
	SYSCONFDIR,
#ifdef	DOC_DIR
	// Where documentation is installed - specified on compile line
	DOC_DIR,
#endif
	""
};
#endif

#if	VMS
{
	"emacs.rc",
	"emacs.hlp",
	NULL,
	"",
	"sys$sysdevice:[vmstools]"
};
#endif

#define	NPNAMES	(sizeof(pathname)/sizeof(char *))

// Indexes into pathname:

#define	PNAME_STARTUP_BASE		0	/* Base name of startup file */
#define	PNAME_HELP_BASE			1	/* Base name of help file */
#define	PNAME_INDIV_STARTUP_BASE	2	/* Base name of individual startup file */
#define	PNAME_DSTART			3	/* Index of start of search paths */

/* PNAME_INDIV_STARTUP_BASE value will be NULL if the OS does not support the concept
 * of individual startup files to be run after the PNAME_STARTUP_BASE.
 */

#endif	// MSDOS && (TURBO || LATTICE || AZTEC || MSC)

/* end */
