/*
 * ADDW SCCS: @(#)emdmap.h	1.11 09/07/20 17:39:30
 *
 * Last previously touched: Apr 30  1997
 *
 * This is now only included if SHOWMODREL is true.
 */

#if	SHOWMODREL

/* ADDW SCCS @(#)emdmap.h	1.2 10/31/96 14:09:05 */
extern	char 	ansivers[];
extern	char 	basicvers[];
extern	char 	bindvers[];
extern	char 	buffvers[];
extern	char 	cryptvers[];
extern	char 	displvers[];
extern	char 	dg10vers[];
extern	char 	dolckvers[];
extern	char 	egapcvers[];
extern	char 	evalvers[];
extern	char 	execvers[];
extern	char 	expndvers[];
extern	char 	filevers[];
extern	char 	filiovers[];
extern	char 	findfilevers[];
extern	char 	helpvers[];
extern	char 	hp110vers[];
extern	char 	hp150vers[];
extern	char 	ibmpcvers[];
extern	char 	inputvers[];
extern	char 	isrchvers[];
extern	char 	linevers[];
#if	LOCKING
extern	char 	lockvers[];
#endif
extern	char 	mainvers[];
extern	char	prefvers[];
extern	char 	regnvers[];
extern	char 	srchvers[];
extern	char 	spawnvers[];
extern	char 	st520vers[];
#if	CTAGS
extern	char 	tagvers[];
#endif
extern	char 	tcapvers[];
#if	TEST_HOOK
extern	char 	testvers[];
#endif
extern	char 	trmiovers[];
extern	char 	tipcvers[];
extern	char 	vmsvtvers[];
extern	char 	vt52vers[];
extern	char 	valvers[];
extern	char 	windovers[];
extern	char 	wordvers[];

struct	tmodmap {
	char*	mod_name;
	char*	mod_vers;
} modmap[] = {
#if	ANSI
	{ "ansi.c",	ansivers  },
#endif
	{ "basic.c",	basicvers },
	{ "bind.c",	bindvers  },
	{ "buffer.c",	buffvers  },
	{ "charconv.c",	charcvers },
	{ "crypt.c",	cryptvers },
#if	DG10
	{ "dg10.c",	dg10vers  },
#endif
	{ "display.c",	displvers },
#if	LOCKING
	{ "dolock.c",	dolckvers },
#endif
#if	EGA
	{ "egapc.c",	egapcvers },
#endif
	{ "eval.c",	evalvers  },
	{ "exec.c",	execvers  },
	{ "expand.c",	expndvers },
	{ "file.c",	filevers  },
	{ "fileio.c",	filiovers },
	{ "findFile.c",	findfilevers },
	{ "help.c",	helpvers },
#if	HP110
	{ "hp110.c",	hp110vers },
#endif
#if	HP150
	{ "hp150.c",	hp150vers },
#endif
#if	IBMPC
	{ "ibmpc.c",	ibmpcvers },
#endif
	{ "input.c",	inputvers },
	{ "isearch.c",	isrchvers },
	{ "line.c",	linevers  },
#if	LOCKING
	{ "lock.c",	lockvers  },
#endif
	{ "main.c",	mainvers  },
	{ "prefix.c",	prefvers  },
	{ "random.c",	randvers  },
	{ "region.c",	regnvers  },
	{ "search.c",	srchvers  },
	{ "spawn.c",	spawnvers },
#if	ATARI && ST520
	{ "st520.c",	st520vers },
#endif
#if	CTAGS
	{ "tag.c",	tagvers   },
#endif
	{ "tcap.c",	tcapvers  },
	{ "termio.c",	trmiovers },
#if	TEST_HOOK
	{ "test.c",	testvers  },
#endif
#if	TIPC
	{ "tipc.c",	tipcvers  },
#endif
	{ "utf8.c",	utf8vers  },
	{ "values.c",	valvers   },
#if	VMSVT
	{ "vmsvt.c",	vmsvtvers },
#endif
#if	VT52
	{ "vt52.c",	vt52vers  },
#endif
	{ "window.c",	windovers },
	{ "word.c",	wordvers  }
};

int	nmodmapent = sizeof(modmap) / sizeof(modmap[0]);

#endif

/* end */
